import { Component } from '@angular/core';
import { FormControl, FormGroup, Validators } from '@angular/forms';

@Component({
  selector: 'app-register-form',
  templateUrl: './register-form.component.html',
  styleUrls: ['./register-form.component.css']
})
export class RegisterFormComponent {

  public formGroup: FormGroup;
  constructor() {
    this.formGroup = this.createFormGroup();
  }

  private createFormGroup(){
    return new FormGroup({
      step : new FormControl('', Validators.required),
      num_cols: new FormControl(1),
      form : new FormControl([]),
    });
  }

}
